---
- setup:
### Encrypt ###
- include_tasks:
    file: encrypt/generate_ca.yml
  when:
    - inventory_hostname in groups['elasticsearch_ca']

- include_tasks:
    file: encrypt/generate_cert_node.yml

- include_tasks:
    file: encrypt/generate_cert_https.yml

- include_tasks:
    file: encrypt/keystore_setup.yml